# 术语

## Overlay 网络 (Overlay Network)

Overlay网络是通过网络虚拟化技术，在同一张Underlay网络上构建出的一张或者多张虚拟的逻辑网络。
不同的Overlay网络虽然共享Underlay网络中的设备和线路，但是Overlay网络中的业务与Underlay网络中的物理组网和互联技术相互解耦。
Overlay网络的多实例化，既可以服务于同一租户的不同业务（如多个部门），也可以服务于不同租户，是SD-WAN以及数据中心等解决方案使用的核心组网技术。

###　什么是Underlay网络？
Underlay网络可以是由多个类型设备互联而成的物理网络，负责网络之间的数据包传输。
在Underlay网络中，互联的设备可以是各类型交换机、路由器、负载均衡设备、防火墙等，但网络的各个设备之间必须通过路由协议来确保之间IP的连通性。

Underlay网络缺点：
由于硬件根据目的IP地址进行数据包的转发，所以传输的路径依赖十分严重。
新增或变更业务需要对现有底层网络连接进行修改，重新配置耗时严重。
互联网不能保证私密通信的安全要求。
网络切片和网络分段实现复杂，无法做到网络资源的按需分配。
多路径转发繁琐，无法融合多个底层网络来实现负载均衡。

### Overlay网络 
为了摆脱Underlay网络的种种限制，现在多采用网络虚拟化技术在Underlay网络之上创建虚拟的Overlay网络
在Overlay网络中，设备之间可以通过逻辑链路，按照需求完成互联形成Overlay拓扑。

相互连接的Overlay设备之间建立隧道，数据包准备传输出去时，设备为数据包添加新的IP头部和隧道头部，并且被屏蔽掉内层的IP头部，数据包根据新的IP头部进行转发。当数据包传递到另一个设备后，外部的IP报头和隧道头将被丢弃，得到原始的数据包，在这个过程中Overlay网络并不感知Underlay网络。